Linux server.flyproject.com.br 3.10.0-1160.el7.x86_64 #1 SMP Mon Oct 19 16:18:59 UTC 2020 x86_64
Apache
: 207.244.227.86 | : 216.73.217.1
10 Domain
7.1.33
hubnog
www.github.com/MadExploits
Terminal
AUTO ROOT
Adminer
Backdoor Destroyer
Linux Exploit
Lock Shell
Lock File
Create User
CREATE RDP
PHP Mailer
BACKCONNECT
UNLOCK SHELL
HASH IDENTIFIER
CPANEL RESET
CREATE WP USER
README
+ Create Folder
+ Create File
/
usr /
sbin /
[ HOME SHELL ]
Name
Size
Permission
Action
ModemManager
1.19
MB
-rwxr-xr-x
NetworkManager
2.83
MB
-rwxr-xr-x
abrt-auto-reporting
10.98
KB
-rwxr-xr-x
abrt-configuration
31.66
KB
-rwxr-xr-x
abrt-dbus
31.22
KB
-rwxr-xr-x
abrt-harvest-pstoreoops
1.32
KB
-rwxr-xr-x
abrt-harvest-vmcore
8.19
KB
-rwxr-xr-x
abrt-install-ccpp-hook
2.85
KB
-rwxr-xr-x
abrt-server
31.11
KB
-rwxr-xr-x
abrtd
31.22
KB
-rwxr-xr-x
accept
10.95
KB
-rwxr-xr-x
accessdb
11.55
KB
-rwxr-xr-x
accton
11.19
KB
-rwxr-xr-x
adcli
152.61
KB
-rwxr-xr-x
addgnupghome
3.05
KB
-rwxr-xr-x
addpart
19.69
KB
-rwxr-xr-x
adduser
134.39
KB
-rwxr-xr-x
agetty
48.48
KB
-rwxr-xr-x
alsa-info
28.09
KB
-rwxr-xr-x
alsa-info.sh
28.09
KB
-rwxr-xr-x
alsabat-test.sh
4.04
KB
-rwxr-xr-x
alsactl
99.15
KB
-rwxr-xr-x
alternatives
27.61
KB
-rwxr-xr-x
anaconda
54.99
KB
-rwxr-xr-x
anacron
35.52
KB
-rwxr-xr-x
apachectl
4.31
KB
-rwxr-xr-x
applygnupgdefaults
2.21
KB
-rwxr-xr-x
arp
63.98
KB
-rwxr-xr-x
arpd
52.98
KB
-rwxr-xr-x
arping
23.19
KB
-rwxr-xr-x
atd
27.17
KB
-rwxr-xr-x
atrun
67
B
-rwxr-xr-x
audispd
39.75
KB
-rwxr-xr-x
auditctl
39.56
KB
-rwxr-xr-x
auditd
125.65
KB
-rwxr-xr-x
augenrules
3.7
KB
-rwxr-xr-x
aureport
105.39
KB
-rwxr-xr-x
ausearch
109.8
KB
-rwxr-xr-x
authconfig
43.49
KB
-rwxr-xr-x
authconfig-tui
43.49
KB
-rwxr-xr-x
automount
301.4
KB
-rwxr-xr-x
autrace
15.49
KB
-rwxr-x---
avahi-daemon
133.04
KB
-rwxr-xr-x
avcstat
11.25
KB
-rwxr-xr-x
badblocks
27.69
KB
-rwxr-xr-x
biosdecode
24.15
KB
-rwxr-xr-x
biosdevname
36.57
KB
-rwxr-xr-x
blkdeactivate
15.97
KB
-r-xr-xr-x
blkdiscard
23.84
KB
-rwxr-xr-x
blkid
77.92
KB
-rwxr-xr-x
blkmapd
43.81
KB
-rwxr-xr-x
blockdev
32.2
KB
-rwxr-xr-x
bpftool
1.9
MB
-rwxr-xr-x
brctl
32.13
KB
-rwxr-xr-x
bridge
77.61
KB
-rwxr-xr-x
btrfs
690.59
KB
-rwxr-xr-x
btrfs-convert
378.62
KB
-rwxr-xr-x
btrfs-debug-tree
354.23
KB
-rwxr-xr-x
btrfs-find-root
346.22
KB
-rwxr-xr-x
btrfs-image
374.63
KB
-rwxr-xr-x
btrfs-map-logical
350.27
KB
-rwxr-xr-x
btrfs-select-super
346.2
KB
-rwxr-xr-x
btrfs-zero-log
346.2
KB
-rwxr-xr-x
btrfsck
690.59
KB
-rwxr-xr-x
btrfstune
350.24
KB
-rwxr-xr-x
build-locale-archive
860.52
KB
-rwx------
cacertdir_rehash
644
B
-rwxr-xr-x
cache_check
1.23
MB
-rwxr-xr-x
cache_dump
1.23
MB
-rwxr-xr-x
cache_metadata_size
1.23
MB
-rwxr-xr-x
cache_repair
1.23
MB
-rwxr-xr-x
cache_restore
1.23
MB
-rwxr-xr-x
cache_writeback
1.23
MB
-rwxr-xr-x
capsh
19.43
KB
-rwxr-xr-x
cbq
32.73
KB
-rwxr-xr-x
certmonger
482.03
KB
-rwxr-xr-x
cfdisk
71.37
KB
-rwxr-xr-x
cgclear
15.3
KB
-rwxr-xr-x
cgconfigparser
15.43
KB
-rwxr-xr-x
cgdcbxd
31.39
KB
-rwxr-xr-x
cgdisk
176.87
KB
-rwxr-xr-x
cgrulesengd
31.66
KB
-rwxr-xr-x
chat
27.3
KB
-rwxr-xr-x
chcpu
23.7
KB
-rwxr-xr-x
chgpasswd
64.1
KB
-rwxr-xr-x
chkconfig
40.22
KB
-rwxr-xr-x
chpasswd
55.88
KB
-rwxr-xr-x
chronyd
263.08
KB
-rwxr-xr-x
chroot
32.48
KB
-rwxr-xr-x
cifs.idmap
15.07
KB
-rwxr-xr-x
cifs.upcall
31.23
KB
-rwxr-xr-x
clock
48.44
KB
-rwxr-xr-x
clockdiff
19.04
KB
-rwxr-xr-x
consoletype
6.95
KB
-rwxr-xr-x
convertquota
70.88
KB
-rwxr-xr-x
cracklib-check
7.04
KB
-rwxr-xr-x
cracklib-format
246
B
-rwxr-xr-x
cracklib-packer
11.06
KB
-rwxr-xr-x
cracklib-unpacker
7.02
KB
-rwxr-xr-x
crda
11.34
KB
-rwxr-xr-x
create-cracklib-dict
990
B
-rwxr-xr-x
crond
68.48
KB
-rwxr-xr-x
cryptsetup
85.41
KB
-rwxr-xr-x
ctrlaltdel
11.2
KB
-rwxr-xr-x
ctstat
20.09
KB
-rwxr-xr-x
cups-browsed
136.9
KB
-rwxr-xr-x
cups-genppd.5.2
56.05
KB
-rwxr-xr-x
cups-genppdupdate
34.2
KB
-rwxr-xr-x
cupsaccept
10.95
KB
-rwxr-xr-x
cupsaddsmb
10.98
KB
-rwxr-xr-x
cupsctl
14.97
KB
-rwxr-xr-x
cupsd
427.17
KB
-rwxr-xr-x
cupsdisable
10.95
KB
-rwxr-xr-x
cupsenable
10.95
KB
-rwxr-xr-x
cupsfilter
27.37
KB
-rwxr-xr-x
cupsreject
10.95
KB
-rwxr-xr-x
dcbtool
60.03
KB
-rwxr-xr-x
ddns-confgen
19.44
KB
-rwxr-xr-x
debugfs
120.65
KB
-rwxr-xr-x
delpart
19.69
KB
-rwxr-xr-x
depmod
143.24
KB
-rwxr-xr-x
devlink
64.72
KB
-rwxr-xr-x
dhclient
414.34
KB
-rwxr-xr-x
dhclient-script
30.38
KB
-rwxr-xr-x
dm_dso_reg_tool
11.29
KB
-rwxr-xr-x
dmevent_tool
11.29
KB
-rwxr-xr-x
dmeventd
39.56
KB
-r-xr-xr-x
dmfilemapd
19.16
KB
-r-xr-xr-x
dmidecode
120.2
KB
-rwxr-xr-x
dmraid
22.1
KB
-rwxr-xr-x
dmraid.static
22.1
KB
-rwxr-xr-x
dmsetup
149.2
KB
-r-xr-xr-x
dmstats
149.2
KB
-r-xr-xr-x
dnsmasq
340.79
KB
-rwxr-xr-x
dnssec-checkds
922
B
-rwxr-xr-x
dnssec-coverage
924
B
-rwxr-xr-x
dnssec-dsfromkey
56.6
KB
-rwxr-xr-x
dnssec-importkey
52.59
KB
-rwxr-xr-x
dnssec-keyfromlabel
60.52
KB
-rwxr-xr-x
dnssec-keygen
64.55
KB
-rwxr-xr-x
dnssec-keymgr
920
B
-rwxr-xr-x
dnssec-revoke
48.46
KB
-rwxr-xr-x
dnssec-settime
56.52
KB
-rwxr-xr-x
dnssec-signzone
105.71
KB
-rwxr-xr-x
dnssec-verify
48.46
KB
-rwxr-xr-x
dosfsck
56.24
KB
-rwxr-xr-x
dosfslabel
52.23
KB
-rwxr-xr-x
dovecot
362.53
KB
-rwxr-xr-x
dovecot_cpshutdown
3.27
KB
-rwxr-xr-x
dracut
55.83
KB
-rwxr-xr-x
dump-acct
19.63
KB
-rwxr-xr-x
dump-utmp
15.47
KB
-rwxr-xr-x
dumpe2fs
23.62
KB
-rwxr-xr-x
e2freefrag
11.15
KB
-rwxr-xr-x
e2fsck
250.55
KB
-rwxr-xr-x
e2image
27.85
KB
-rwxr-xr-x
e2label
69.41
KB
-rwxr-xr-x
e2undo
11.32
KB
-rwxr-xr-x
e4defrag
23.55
KB
-rwxr-xr-x
eapol_test
1.77
MB
-rwxr-xr-x
ebtables
6.85
KB
-rwxr-xr-x
ebtables-restore
10.88
KB
-rwxr-xr-x
ebtables-save
851
B
-rwxr-xr-x
edquota
83.09
KB
-rwxr-xr-x
era_check
1.23
MB
-rwxr-xr-x
era_dump
1.23
MB
-rwxr-xr-x
era_invalidate
1.23
MB
-rwxr-xr-x
era_restore
1.23
MB
-rwxr-xr-x
ether-wake
73.26
KB
-rwxr-xr-x
ethtool
293.87
KB
-rwxr-xr-x
exicyclog
11.01
KB
-rwxr-xr-x
exigrep
10.44
KB
-rwxr-xr-x
exim
1.33
MB
-rwsr-xr-x
exim_checkaccess
4.73
KB
-rwxr-xr-x
exim_dbmbuild
82.25
KB
-rwxr-xr-x
exim_dumpdb
134.61
KB
-rwxr-xr-x
exim_fixdb
168.38
KB
-rwxr-xr-x
exim_lock
64.84
KB
-rwxr-xr-x
exim_tidydb
142.97
KB
-rwxr-xr-x
eximstats
148.01
KB
-rwxr-xr-x
exinext
8.02
KB
-rwxr-xr-x
exiqgrep
5.45
KB
-rwxr-xr-x
exiqsumm
5.07
KB
-rwxr-xr-x
exiwhat
4.32
KB
-rwxr-xr-x
exportfs
76.91
KB
-rwxr-xr-x
faillock
15.02
KB
-rwxr-xr-x
fatlabel
52.23
KB
-rwxr-xr-x
fcgistarter
11
KB
-rwxr-xr-x
fcnsq
15.13
KB
-rwxr-xr-x
fcoeadm
48.52
KB
-rwxr-xr-x
fcoemon
69.21
KB
-rwxr-xr-x
fcping
31.52
KB
-rwxr-xr-x
fcrls
19.16
KB
-rwxr-xr-x
fdformat
11.27
KB
-rwxr-xr-x
fdisk
195.8
KB
-rwxr-xr-x
filefrag
15.23
KB
-rwxr-xr-x
findfs
11.2
KB
-rwxr-xr-x
fipvlan
40.16
KB
-rwxr-xr-x
firewalld
6.87
KB
-rwxr-xr-x
firstboot
6.45
KB
-rwxr-xr-x
fixfiles
11.03
KB
-rwxr-xr-x
fixparts
61.65
KB
-rwxr-xr-x
fsadm
23.97
KB
-r-xr-xr-x
fsck
32.12
KB
-rwxr-xr-x
fsck.btrfs
1.16
KB
-rwxr-xr-x
fsck.cramfs
19.57
KB
-rwxr-xr-x
fsck.ext2
250.55
KB
-rwxr-xr-x
fsck.ext3
250.55
KB
-rwxr-xr-x
fsck.ext4
250.55
KB
-rwxr-xr-x
fsck.fat
56.24
KB
-rwxr-xr-x
fsck.minix
73.32
KB
-rwxr-xr-x
fsck.msdos
56.24
KB
-rwxr-xr-x
fsck.vfat
56.24
KB
-rwxr-xr-x
fsck.xfs
433
B
-rwxr-xr-x
fsfreeze
11.23
KB
-rwxr-xr-x
fstrim
40.59
KB
-rwxr-xr-x
ftpdctl
84.05
KB
-rwxr-xr-x
ftpscrub
19.97
KB
-rwx------
ftpshut
13.33
KB
-rwxr-xr-x
fuser
32.34
KB
-rwxr-xr-x
fxload
19.26
KB
-rwxr-xr-x
gdisk
184.49
KB
-rwxr-xr-x
gdm
430.45
KB
-rwxr-xr-x
genhomedircon
23.77
KB
-rwxr-xr-x
genhostid
6.94
KB
-rwxr-xr-x
genl
52.81
KB
-rwxr-xr-x
genl-ctrl-list
11.27
KB
-rwxr-xr-x
genrandom
11.16
KB
-rwxr-xr-x
getcap
11.13
KB
-rwxr-xr-x
getenforce
7.01
KB
-rwxr-xr-x
getpcaps
7.07
KB
-rwxr-xr-x
getsebool
11.13
KB
-rwxr-xr-x
glibc_post_upgrade.i686
700.2
KB
-rwx------
glibc_post_upgrade.x86_64
772.05
KB
-rwx------
gluster
465.84
KB
-rwxr-xr-x
glusterfs
245.27
KB
-rwxr-xr-x
glusterfsd
245.27
KB
-rwxr-xr-x
groupadd
85.65
KB
-rwxr-xr-x
groupdel
77.38
KB
-rwxr-xr-x
groupmems
55.97
KB
-rwxr-xr-x
groupmod
85.66
KB
-rwxr-xr-x
grpck
59.93
KB
-rwxr-xr-x
grpconv
51.73
KB
-rwxr-xr-x
grpunconv
51.73
KB
-rwxr-xr-x
grub2-bios-setup
1.03
MB
-rwxr-xr-x
grub2-get-kernel-settings
2.08
KB
-rwxr-xr-x
grub2-install
1.29
MB
-rwxr-xr-x
grub2-macbless
1.02
MB
-rwxr-xr-x
grub2-mkconfig
7.63
KB
-rwxr-xr-x
grub2-ofpathname
225.52
KB
-rwxr-xr-x
grub2-probe
1.03
MB
-rwxr-xr-x
grub2-reboot
4
KB
-rwxr-xr-x
grub2-rpm-sort
258.52
KB
-rwxr-xr-x
grub2-set-default
3.46
KB
-rwxr-xr-x
grub2-setpassword
2.96
KB
-rwxr-xr-x
grub2-sparc64-setup
1.04
MB
-rwxr-xr-x
grubby
71.27
KB
-rwxr-xr-x
gss-server
23.13
KB
-rwxr-xr-x
gssproxy
130.64
KB
-rwxr-xr-x
halt
704.8
KB
-rwxr-xr-x
handle-sshpw
2.35
KB
-rwxr-xr-x
hardlink
15.29
KB
-rwxr-xr-x
htcacheclean
31.16
KB
-rwxr-xr-x
httpd
680.23
KB
-rwxr-xr-x
hwclock
48.44
KB
-rwxr-xr-x
hypervfcopyd
11.18
KB
-rwxr-xr-x
hypervkvpd
27.38
KB
-rwxr-xr-x
hypervvssd
15.23
KB
-rwxr-xr-x
iconvconfig
22.15
KB
-rwxr-xr-x
iconvconfig.i686
21.44
KB
-rwxr-xr-x
iconvconfig.x86_64
22.15
KB
-rwxr-xr-x
ifcfg
2.99
KB
-rwxr-xr-x
ifconfig
80.05
KB
-rwxr-xr-x
ifdown
1.61
KB
-rwxr-xr-x
ifenslave
19.74
KB
-rwxr-xr-x
ifstat
40.6
KB
-rwxr-xr-x
ifup
4.89
KB
-rwxr-xr-x
in.proftpd
1.63
MB
-rwxr-xr-x
init
1.56
MB
-rwxr-xr-x
insmod
143.24
KB
-rwxr-xr-x
install-info
110.42
KB
-rwxr-xr-x
installkernel
2.69
KB
-rwxr-xr-x
intel-microcode2ucode
11.1
KB
-rwxr-xr-x
ip
459.59
KB
-rwxr-xr-x
ip6tables
91.52
KB
-rwxr-xr-x
ip6tables-restore
91.52
KB
-rwxr-xr-x
ip6tables-save
91.52
KB
-rwxr-xr-x
ipa-certupdate
871
B
-rwxr-xr-x
ipa-client-automount
19.12
KB
-rwxr-xr-x
ipa-client-install
921
B
-rwxr-xr-x
ipa-getkeytab
128.14
KB
-rwxr-xr-x
ipa-join
31.09
KB
-rwxr-xr-x
ipa-rmkeytab
15.01
KB
-rwxr-xr-x
ipmaddr
19.33
KB
-rwxr-xr-x
iprconfig
394.37
KB
-rwxr-xr-x
iprdbg
135.94
KB
-rwx------
iprdump
123.67
KB
-rwxr-xr-x
iprinit
123.64
KB
-rwxr-xr-x
iprsos
2.18
KB
-rwxr-xr-x
iprupdate
123.64
KB
-rwxr-xr-x
ipsec
14.96
KB
-rwxr-xr-x
ipset
7.02
KB
-rwxr-xr-x
iptables
91.52
KB
-rwxr-xr-x
iptables-restore
91.52
KB
-rwxr-xr-x
iptables-save
91.52
KB
-rwxr-xr-x
iptunnel
23.33
KB
-rwxr-xr-x
irqbalance
48.5
KB
-rwxr-xr-x
isc-hmac-fixup
11.2
KB
-rwxr-xr-x
iscsi-iname
11.01
KB
-rwxr-xr-x
iscsiadm
794.39
KB
-rwxr-xr-x
iscsid
819.81
KB
-rwxr-xr-x
iscsistart
361.05
KB
-rwxr-xr-x
iscsiuio
182.09
KB
-rwxr-xr-x
iw
157.97
KB
-rwxr-xr-x
kexec
166.06
KB
-rwxr-xr-x
key.dns_resolver
19.45
KB
-rwxr-xr-x
killall5
23.17
KB
-rwxr-xr-x
kpartx
39.47
KB
-rwxr-xr-x
kpatch
14.53
KB
-rwxr-xr-x
ksmtuned
3.36
KB
-rwxr-xr-x
lchage
15.41
KB
-rwxr-xr-x
ldattach
27.93
KB
-rwxr-xr-x
ldconfig
952.08
KB
-rwxr-xr-x
ledctl
61.97
KB
-rwxr-xr-x
ledmon
62.15
KB
-rwxr-xr-x
lgroupadd
11.28
KB
-rwxr-xr-x
lgroupdel
11.26
KB
-rwxr-xr-x
lgroupmod
15.44
KB
-rwxr-xr-x
libvirtd
506.11
KB
-rwxr-xr-x
lid
15.4
KB
-rwxr-xr-x
liveinst
5.83
KB
-rwxr-xr-x
lldpad
402.72
KB
-rwxr-xr-x
lldptool
96.02
KB
-rwxr-xr-x
lnewusers
15.46
KB
-rwxr-xr-x
lnstat
20.09
KB
-rwxr-xr-x
load_policy
10.97
KB
-rwxr-xr-x
lockdev
10.95
KB
-rwx--s--x
logrotate
68.61
KB
-rwxr-xr-x
logsave
11.27
KB
-rwxr-xr-x
losetup
82.45
KB
-rwxr-xr-x
lpadmin
27.09
KB
-rwxr-xr-x
lpasswd
15.5
KB
-rwxr-xr-x
lpc
15.07
KB
-rwxr-xr-x
lpc.cups
15.07
KB
-rwxr-xr-x
lpinfo
14.96
KB
-rwxr-xr-x
lpmove
10.98
KB
-rwxr-xr-x
lshw
895.18
KB
-rwxr-xr-x
lsmod
143.24
KB
-rwxr-xr-x
lsof
150.57
KB
-rwxr-xr-x
lspci
73.67
KB
-rwxr-xr-x
luseradd
15.38
KB
-rwxr-xr-x
luserdel
11.3
KB
-rwxr-xr-x
lusermod
19.43
KB
-rwxr-xr-x
lvchange
2.15
MB
-r-xr-xr-x
lvconvert
2.15
MB
-r-xr-xr-x
lvcreate
2.15
MB
-r-xr-xr-x
lvdisplay
2.15
MB
-r-xr-xr-x
lvextend
2.15
MB
-r-xr-xr-x
lvm
2.15
MB
-r-xr-xr-x
lvmconf
12.55
KB
-r-xr-xr-x
lvmconfig
2.15
MB
-r-xr-xr-x
lvmdiskscan
2.15
MB
-r-xr-xr-x
lvmdump
10.07
KB
-r-xr-xr-x
lvmetad
71.66
KB
-r-xr-xr-x
lvmpolld
64.07
KB
-r-xr-xr-x
lvmsadc
2.15
MB
-r-xr-xr-x
lvmsar
2.15
MB
-r-xr-xr-x
lvreduce
2.15
MB
-r-xr-xr-x
lvremove
2.15
MB
-r-xr-xr-x
lvrename
2.15
MB
-r-xr-xr-x
lvresize
2.15
MB
-r-xr-xr-x
lvs
2.15
MB
-r-xr-xr-x
lvscan
2.15
MB
-r-xr-xr-x
lwresd
768.02
KB
-rwxr-xr-x
makedumpfile
376.52
KB
-rwxr-xr-x
matchpathcon
11.19
KB
-rwxr-xr-x
mdadm
593.45
KB
-rwxr-xr-x
mdmon
331.55
KB
-rwxr-xr-x
mii-diag
20.08
KB
-rwxr-xr-x
mii-tool
19.51
KB
-rwxr-xr-x
mkdict
246
B
-rwxr-xr-x
mkdosfs
28.05
KB
-rwxr-xr-x
mkdumprd
13.99
KB
-rwxr-xr-x
mke2fs
94.08
KB
-rwxr-xr-x
mkfs
11.25
KB
-rwxr-xr-x
mkfs.btrfs
366.45
KB
-rwxr-xr-x
mkfs.cramfs
36.16
KB
-rwxr-xr-x
mkfs.ext2
94.08
KB
-rwxr-xr-x
mkfs.ext3
94.08
KB
-rwxr-xr-x
mkfs.ext4
94.08
KB
-rwxr-xr-x
mkfs.fat
28.05
KB
-rwxr-xr-x
mkfs.minix
36.27
KB
-rwxr-xr-x
mkfs.msdos
28.05
KB
-rwxr-xr-x
mkfs.vfat
28.05
KB
-rwxr-xr-x
mkfs.xfs
359.8
KB
-rwxr-xr-x
mkhomedir_helper
19.05
KB
-rwxr-xr-x
mklost+found
11.11
KB
-rwxr-xr-x
mkswap
69.64
KB
-rwxr-xr-x
modinfo
143.24
KB
-rwxr-xr-x
modprobe
143.24
KB
-rwxr-xr-x
modsec-sdbm-util
22.17
KB
-rwxr-x---
mount.cifs
40.05
KB
-rwxr-xr-x
mount.fuse
11.1
KB
-rwxr-xr-x
mount.glusterfs
22.15
KB
-rwxr-xr-x
mount.nfs
114.68
KB
-rwsr-xr-x
mount.nfs4
114.68
KB
-rwsr-xr-x
mountstats
40.59
KB
-rwxr-xr-x
mpathconf
10.6
KB
-rwxr-xr-x
mpathpersist
27.91
KB
-rwxr-xr-x
mtr
83.18
KB
-rwxr-xr-x
multipath
22.99
KB
-rwxr-xr-x
multipathd
84.37
KB
-rwxr-xr-x
mysqld
242.32
MB
-rwxr-xr-x
mysqld-debug
163.78
MB
-rwxr-xr-x
named
768.02
KB
-rwxr-xr-x
named-checkconf
32.25
KB
-rwxr-xr-x
named-checkzone
32.06
KB
-rwxr-xr-x
named-compilezone
32.06
KB
-rwxr-xr-x
named-journalprint
11.13
KB
-rwxr-xr-x
nameif
15.32
KB
-rwxr-xr-x
netreport
10.96
KB
-rwxr-sr-x
netscsid
19.55
KB
-rwxr-xr-x
new-kernel-pkg
24.96
KB
-rwxr-xr-x
newusers
93.45
KB
-rwxr-xr-x
nfsdcltrack
40.11
KB
-rwxr-xr-x
nfsidmap
19.32
KB
-rwxr-xr-x
nfsiostat
23.64
KB
-rwxr-xr-x
nfsstat
29.84
KB
-rwxr-xr-x
nl-class-add
11.7
KB
-rwxr-xr-x
nl-class-delete
11.55
KB
-rwxr-xr-x
nl-class-list
11.48
KB
-rwxr-xr-x
nl-classid-lookup
11.29
KB
-rwxr-xr-x
nl-cls-add
11.76
KB
-rwxr-xr-x
nl-cls-delete
11.68
KB
-rwxr-xr-x
nl-cls-list
11.58
KB
-rwxr-xr-x
nl-link-list
11.52
KB
-rwxr-xr-x
nl-pktloc-lookup
11.36
KB
-rwxr-xr-x
nl-qdisc-add
11.6
KB
-rwxr-xr-x
nl-qdisc-delete
11.54
KB
-rwxr-xr-x
nl-qdisc-list
11.63
KB
-rwxr-xr-x
nologin
7.01
KB
-rwxr-xr-x
nscd
179.8
KB
-rwxr-xr-x
nsec3hash
11.13
KB
-rwxr-xr-x
nstat
23.88
KB
-rwxr-xr-x
ntp-keygen
100.88
KB
-rwxr-xr-x
ntpd
712.59
KB
-rwxr-xr-x
ntpdate
107.58
KB
-rwxr-xr-x
ntpdc
170.02
KB
-rwxr-xr-x
ntpq
164.36
KB
-rwxr-xr-x
ntptime
73.66
KB
-rwxr-xr-x
ntsysv
36.24
KB
-rwxr-xr-x
oddjobd
72.11
KB
-rwxr-xr-x
osd_login
2.55
KB
-rwxr-xr-x
ownership
15.04
KB
-rwxr-xr-x
packer
11.06
KB
-rwxr-xr-x
pam_console_apply
39.69
KB
-rwxr-xr-x
pam_tally2
15.05
KB
-rwxr-xr-x
pam_timestamp_check
10.97
KB
-rwxr-xr-x
paperconfig
4.07
KB
-rwxr-xr-x
parted
77.22
KB
-rwxr-xr-x
partprobe
11.23
KB
-rwxr-xr-x
partx
86.55
KB
-rwxr-xr-x
pdata_tools
1.23
MB
-rwxr-xr-x
pdns_server
74.75
MB
-rwxr-xr-x
pethtool
8.94
KB
-rwxr-xr-x
pidof
23.17
KB
-rwxr-xr-x
pifconfig
3.03
KB
-rwxr-xr-x
ping6
64.63
KB
-rwxr-xr-x
pivot_root
11.19
KB
-rwxr-xr-x
plipconfig
11.06
KB
-rwxr-xr-x
pluginviewer
15.23
KB
-rwxr-xr-x
plymouth-set-default-theme
6.21
KB
-rwxr-xr-x
plymouthd
84.22
KB
-rwxr-xr-x
pm-hibernate
2.86
KB
-rwxr-xr-x
pm-powersave
2.09
KB
-rwxr-xr-x
pm-suspend
2.86
KB
-rwxr-xr-x
pm-suspend-hybrid
2.86
KB
-rwxr-xr-x
pm-utils-bugreport-info.sh
1.47
KB
-rwxr-xr-x
poweroff
704.8
KB
-rwxr-xr-x
ppp-watch
23.2
KB
-rwxr-xr-x
pppd
372.98
KB
-r-xr-xr-x
pppdump
52.77
KB
-rwxr-xr-x
pppoe-discovery
18.04
KB
-r-xr-xr-x
pppstats
14.99
KB
-rwxr-xr-x
proftpd
1.63
MB
-rwxr-xr-x
pvchange
2.15
MB
-r-xr-xr-x
pvck
2.15
MB
-r-xr-xr-x
pvcreate
2.15
MB
-r-xr-xr-x
pvdisplay
2.15
MB
-r-xr-xr-x
pvmove
2.15
MB
-r-xr-xr-x
pvremove
2.15
MB
-r-xr-xr-x
pvresize
2.15
MB
-r-xr-xr-x
pvs
2.15
MB
-r-xr-xr-x
pvscan
2.15
MB
-r-xr-xr-x
pwck
51.71
KB
-rwxr-xr-x
pwconv
47.57
KB
-rwxr-xr-x
pwhistory_helper
15.44
KB
-rwxr-xr-x
pwunconv
47.59
KB
-rwxr-xr-x
quot
70.66
KB
-rwxr-xr-x
quotacheck
107.29
KB
-rwxr-xr-x
quotaoff
75.03
KB
-rwxr-xr-x
quotaon
75.03
KB
-rwxr-xr-x
quotastats
14.03
KB
-rwxr-xr-x
radvd
101.59
KB
-rwxr-xr-x
radvdump
23.64
KB
-rwxr-xr-x
raid-check
3.7
KB
-rwxr-xr-x
rdisc
23.17
KB
-rwxr-xr-x
rdma
73.42
KB
-rwxr-xr-x
rdma-ndd
15.36
KB
-rwxr-xr-x
readprofile
15.46
KB
-rwxr-xr-x
realm
138.77
KB
-rwxr-xr-x
reboot
704.8
KB
-rwxr-xr-x
regdbdump
7.12
KB
-rwxr-xr-x
reject
10.95
KB
-rwxr-xr-x
repquota
75.16
KB
-rwxr-xr-x
request-key
19.41
KB
-rwxr-xr-x
resize2fs
48.41
KB
-rwxr-xr-x
resizepart
32.36
KB
-rwxr-xr-x
restorecon
27.16
KB
-rwxr-xr-x
rfkill
11.29
KB
-rwxr-xr-x
rmmod
143.24
KB
-rwxr-xr-x
rndc
35.88
KB
-rwxr-xr-x
rndc-confgen
19.44
KB
-rwxr-xr-x
rngd
42.39
KB
-rwxr-xr-x
rotatelogs
23.06
KB
-rwxr-xr-x
route
66.6
KB
-rwxr-xr-x
routef
173
B
-rwxr-xr-x
routel
1.59
KB
-rwxr-xr-x
rpc.gssd
88.73
KB
-rwxr-xr-x
rpc.idmapd
48.13
KB
-rwxr-xr-x
rpc.mountd
128.91
KB
-rwxr-xr-x
rpc.nfsd
40.2
KB
-rwxr-xr-x
rpc.rquotad
78.95
KB
-rwxr-xr-x
rpc.statd
97.59
KB
-rwxr-xr-x
rpcbind
60.07
KB
-rwxr-xr-x
rpcdebug
18.05
KB
-rwxr-xr-x
rpcinfo
27.3
KB
-rwxr-xr-x
rsyslogd
648.45
KB
-rwxr-xr-x
rtacct
41.93
KB
-rwxr-xr-x
rtcwake
31.96
KB
-rwxr-xr-x
rtkitctl
10.88
KB
-rwxr-xr-x
rtmon
48.67
KB
-rwxr-xr-x
rtpr
37
B
-rwxr-xr-x
rtstat
20.09
KB
-rwxr-xr-x
runlevel
704.8
KB
-rwxr-xr-x
runq
1.33
MB
-rwsr-xr-x
runuser
32.21
KB
-rwxr-xr-x
sa
36.77
KB
-rwxr-xr-x
safe_finger
11.08
KB
-rwxr-xr-x
saned
47.41
KB
-rwxr-xr-x
saslauthd
92.59
KB
-rwxr-xr-x
sasldblistusers2
19.26
KB
-rwxr-xr-x
saslpasswd2
15.09
KB
-rwxr-xr-x
sedispatch
15.56
KB
-rwxr-xr-x
sefcontext_compile
60.53
KB
-rwxr-xr-x
selabel_digest
11.17
KB
-rwxr-xr-x
selabel_lookup
11.14
KB
-rwxr-xr-x
selabel_lookup_best_match
11.16
KB
-rwxr-xr-x
selabel_partial_match
11.09
KB
-rwxr-xr-x
selinux_restorecon
15.21
KB
-rwxr-xr-x
selinuxconlist
11.1
KB
-rwxr-xr-x
selinuxdefcon
11.12
KB
-rwxr-xr-x
selinuxenabled
6.98
KB
-rwxr-xr-x
selinuxexeccon
7.09
KB
-rwxr-xr-x
semanage
42.76
KB
-rwxr-xr-x
semodule
23.77
KB
-rwxr-xr-x
sendmail
13.64
KB
-rwxr-sr-x
service
3.17
KB
-rwxr-xr-x
sestatus
15.02
KB
-rwxr-xr-x
setcap
11.13
KB
-rwxr-xr-x
setenforce
7.05
KB
-rwxr-xr-x
setfiles
27.16
KB
-rwxr-xr-x
setpci
23.4
KB
-rwxr-xr-x
setquota
83.16
KB
-rwxr-xr-x
setregdomain
1.7
KB
-rwxr-xr-x
setroubleshootd
3.22
KB
-rwxr-xr-x
setsebool
14.99
KB
-rwxr-xr-x
setup
15.38
KB
-rwxr-xr-x
sfdisk
83.25
KB
-rwxr-xr-x
sgdisk
168.33
KB
-rwxr-xr-x
sgpio
15.63
KB
-rwxr-xr-x
showmount
19.56
KB
-rwxr-xr-x
shutdown
704.8
KB
-rwxr-xr-x
sim_server
10.97
KB
-rwxr-xr-x
skdump
15.2
KB
-rwxr-xr-x
sktest
6.98
KB
-rwxr-xr-x
slattach
42.4
KB
-rwxr-xr-x
sln
743.78
KB
-rwxr-xr-x
sm-notify
68.43
KB
-rwxr-xr-x
smartctl
864.48
KB
-rwxr-xr-x
smartd
670.63
KB
-rwxr-xr-x
sosreport
561
B
-rwxr-xr-x
spice-vdagentd
43.73
KB
-rwxr-xr-x
ss
128.44
KB
-rwxr-xr-x
sshd
832.9
KB
-rwxr-xr-x
sshd-keygen
3.53
KB
-rwxr-xr-x
sss_cache
80.02
KB
-rwxr-xr-x
sssd
84.18
KB
-rwxr-xr-x
start-statd
842
B
-rwxr-xr-x
suexec
19.02
KB
-rwsr-xr-x
sulogin
40.53
KB
-rwxr-xr-x
sushell
67
B
-rwxr-xr-x
sw-engine-fpm
22.35
MB
-rwxr-xr-x
swaplabel
15.31
KB
-rwxr-xr-x
swapoff
15.53
KB
-rwxr-xr-x
swapon
53.29
KB
-rwxr-xr-x
switch_root
15.35
KB
-rwxr-xr-x
sys-unconfig
184
B
-rwxr-xr-x
sysctl
23.57
KB
-rwxr-xr-x
t1libconfig
3.83
KB
-rwxr-xr-x
tc
384.66
KB
-rwxr-xr-x
tcpd
36.62
KB
-rwxr-xr-x
tcpdmatch
40.83
KB
-rwxr-xr-x
tcpdump
920.16
KB
-rwxr-xr-x
tcpslice
23.64
KB
-rwxr-xr-x
tcsd
300.27
KB
-rwxr-xr-x
telinit
704.8
KB
-rwxr-xr-x
testsaslauthd
15.09
KB
-rwxr-xr-x
thin_check
1.23
MB
-rwxr-xr-x
thin_delta
1.23
MB
-rwxr-xr-x
thin_dump
1.23
MB
-rwxr-xr-x
thin_ls
1.23
MB
-rwxr-xr-x
thin_metadata_size
1.23
MB
-rwxr-xr-x
thin_repair
1.23
MB
-rwxr-xr-x
thin_restore
1.23
MB
-rwxr-xr-x
thin_rmap
1.23
MB
-rwxr-xr-x
thin_trim
1.23
MB
-rwxr-xr-x
tickadj
6.95
KB
-rwxr-xr-x
tracepath
15.05
KB
-rwxr-xr-x
tracepath6
15.05
KB
-rwxr-xr-x
try-from
23.47
KB
-rwxr-xr-x
tsig-keygen
19.44
KB
-rwxr-xr-x
tune2fs
69.41
KB
-rwxr-xr-x
tuned
3.29
KB
-rwxr-xr-x
tuned-adm
5.22
KB
-rwxr-xr-x
udevadm
414.27
KB
-rwxr-xr-x
umount.nfs
114.68
KB
-rwsr-xr-x
umount.nfs4
114.68
KB
-rwsr-xr-x
umount.udisks2
10.98
KB
-rwxr-xr-x
unbound-anchor
55.62
KB
-rwxr-xr-x
unix_chkpwd
35.42
KB
-rwxr-xr-x
unix_update
35.42
KB
-rwx------
update-alternatives
27.61
KB
-rwxr-xr-x
update-pciids
1.71
KB
-rwxr-xr-x
update-smart-drivedb
14.34
KB
-rwxr-xr-x
usb_modeswitch
57.61
KB
-rwxr-xr-x
usb_modeswitch_dispatcher
236.66
KB
-rwxr-xr-x
usbmuxd
69.72
KB
-rwxr-xr-x
useradd
134.39
KB
-rwxr-xr-x
userdel
93.5
KB
-rwxr-xr-x
userhelper
39.38
KB
-rws--x--x
usermod
130.33
KB
-rwxr-xr-x
usernetctl
11.03
KB
-rwsr-xr-x
uuserver
14.97
KB
-rwxr-xr-x
vdptool
48.96
KB
-rwxr-xr-x
vgcfgbackup
2.15
MB
-r-xr-xr-x
vgcfgrestore
2.15
MB
-r-xr-xr-x
vgchange
2.15
MB
-r-xr-xr-x
vgck
2.15
MB
-r-xr-xr-x
vgconvert
2.15
MB
-r-xr-xr-x
vgcreate
2.15
MB
-r-xr-xr-x
vgdisplay
2.15
MB
-r-xr-xr-x
vgexport
2.15
MB
-r-xr-xr-x
vgextend
2.15
MB
-r-xr-xr-x
vgimport
2.15
MB
-r-xr-xr-x
vgimportclone
2.15
MB
-r-xr-xr-x
vgmerge
2.15
MB
-r-xr-xr-x
vgmknodes
2.15
MB
-r-xr-xr-x
vgreduce
2.15
MB
-r-xr-xr-x
vgremove
2.15
MB
-r-xr-xr-x
vgrename
2.15
MB
-r-xr-xr-x
vgs
2.15
MB
-r-xr-xr-x
vgscan
2.15
MB
-r-xr-xr-x
vgsplit
2.15
MB
-r-xr-xr-x
vigr
62.54
KB
-rwxr-xr-x
vipw
62.54
KB
-rwxr-xr-x
virt-what
11.57
KB
-rwxr-xr-x
virtlockd
723.38
KB
-rwxr-xr-x
virtlogd
719.13
KB
-rwxr-xr-x
visudo
200.91
KB
-rwxr-xr-x
vmcore-dmesg
19.28
KB
-rwxr-xr-x
vpddecode
15.33
KB
-rwxr-xr-x
weak-modules
31.9
KB
-rwxr-xr-x
whmapi0
3.02
MB
-rwxr-xr-x
whmapi1
3.02
MB
-rwxr-xr-x
whmlogin
2.33
KB
-rwxr-xr-x
wipefs
28.05
KB
-rwxr-xr-x
wpa_cli
128.06
KB
-rwxr-xr-x
wpa_passphrase
56.79
KB
-rwxr-xr-x
wpa_supplicant
1.93
MB
-rwxr-xr-x
xfs_admin
1.35
KB
-rwxr-xr-x
xfs_bmap
638
B
-rwxr-xr-x
xfs_copy
339.33
KB
-rwxr-xr-x
xfs_db
576.38
KB
-rwxr-xr-x
xfs_estimate
11.16
KB
-rwxr-xr-x
xfs_freeze
767
B
-rwxr-xr-x
xfs_fsr
31.83
KB
-rwxr-xr-x
xfs_growfs
327.2
KB
-rwxr-xr-x
xfs_info
472
B
-rwxr-xr-x
xfs_io
122.68
KB
-rwxr-xr-x
xfs_logprint
355.81
KB
-rwxr-xr-x
xfs_mdrestore
314.81
KB
-rwxr-xr-x
xfs_metadump
747
B
-rwxr-xr-x
xfs_mkfile
1007
B
-rwxr-xr-x
xfs_ncheck
650
B
-rwxr-xr-x
xfs_quota
84.88
KB
-rwxr-xr-x
xfs_repair
563.2
KB
-rwxr-xr-x
xfs_rtcp
15.25
KB
-rwxr-xr-x
xfsdump
291.68
KB
-rwxr-xr-x
xfsinvutil
61.87
KB
-rwxr-xr-x
xfsrestore
353.19
KB
-rwxr-xr-x
xqmstats
14.03
KB
-rwxr-xr-x
xtables-multi
91.52
KB
-rwxr-xr-x
yum-complete-transaction
9.22
KB
-rwxr-xr-x
yumdb
8.67
KB
-rwxr-xr-x
zdump
14.02
KB
-rwxr-xr-x
zic
50.02
KB
-rwxr-xr-x
zramctl
82.23
KB
-rwxr-xr-x
Delete
Unzip
Zip
${this.title}
Close
Code Editor : ipsec
#!/bin/sh # # prefix command to run stuff from our programs directory # # Copyright (C) 1998-2002 Henry Spencer. # Copyright (C) 2013-2018 Tuomo Soini <tis@foobar.fi> # Copyright (C) 2013-2016 Paul Wouters <pwouters@redhat.com> # # This program is free software; you can redistribute it and/or modify it # under the terms of the GNU General Public License as published by the # Free Software Foundation; either version 2 of the License, or (at your # option) any later version. See <http://www.fsf.org/copyleft/gpl.txt>. # # This program is distributed in the hope that it will be useful, but # WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY # or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License # for more details. # test "${IPSEC_INIT_SCRIPT_DEBUG}" && set -v -x # where the private directory and the config files are IPSEC_CONF="${IPSEC_CONF:-/etc/ipsec.conf}" IPSEC_EXECDIR="${IPSEC_EXECDIR:-/usr/libexec/ipsec}" IPSEC_SBINDIR="${IPSEC_SBINDIR:-/usr/sbin}" IPSEC_CONFDDIR="${IPSEC_CONFDDIR:-/etc/ipsec.d}" IPSEC_RUNDIR="${IPSEC_RUNDIR:-/run/pluto}" IPSEC_NSSDIR="${IPSEC_NSSDIR:-/etc/ipsec.d}" IPSEC_NSSDIR_SQL="sql:${IPSEC_NSSDIR}" IPSEC_NSSPW="${IPSEC_CONFDDIR}/nsspassword" DBPW="" CACERTDIR="${IPSEC_CONFDDIR}/cacerts" CRLDIR="${IPSEC_CONFDDIR}/crls" CTLSOCKET="${IPSEC_RUNDIR}/pluto.ctl" ADDSOCKET="" export IPSEC_EXECDIR IPSEC_CONF IPSEC_RUNDIR CTLSOCKET # standardize PATH, and export it for everything else's benefit PATH="${IPSEC_SBINDIR}":/sbin:/usr/sbin:/usr/local/bin:/bin:/usr/bin export PATH # suppress ElectricFence banner changing our reference testing output export EF_DISABLE_BANNER=1 # things not to be listed in --help command list DONTMENTION='^(ipsec|_.*|.*\.old|.*\.orig|.*~)$' # version numbering (details filled in by build) # Possibly should call a C program to invoke the version_code() function # instead, but for performance's sake, we inline it here (and only here). version="3.25" # export the version information IPSEC_VERSION="${version}" export IPSEC_VERSION # function for the funky user/kernel version stuff fixversion() { if [ -f /proc/net/ipsec_version ]; then stack=" (klips)" kv="$(awk '{print $NF}' /proc/net/ipsec_version)" else if [ -f /proc/net/pfkey ]; then stack=" (netkey)" kv="${version}" else if [ -f /mach_kernel ]; then stack=" (OSX)" kv="$(uname -r)" else kv="(no kernel code presently loaded)" fi fi fi if [ "${kv}" != "${version}" ]; then version="U${version}/K${kv}" fi version="${version}${stack} on $(uname -r)" } set_nss_db_trusts() { # has to handle a NSS nick with spaces certutil -L -d "${IPSEC_NSSDIR_SQL}" | \ grep -E -v '(Trust Attributes|SSL,S/MIME,JAR/XPI|^)$' | \ awk '{$NF=""; print $0}' | \ while read -r cert do if certutil -L -d "${IPSEC_NSSDIR_SQL}" -n "${cert}" | \ grep -q 'Is a CA' && \ [ $(certutil -L -d "${IPSEC_NSSDIR_SQL}" -n "${cert}" | grep -i -A3 'ssl flags' | grep -i 'trusted' | wc -l) -ne 2 ] then echo "correcting trust bits for ${cert}" certutil -M -d "${IPSEC_NSSDIR_SQL}" -n "${cert}" -t 'CT,,' fi done } ipsec_usage() { echo "Usage: ipsec {command} [argument] ...>" echo "Use --help for a list of commands, or see the ipsec(8) manual page" echo "Most commands have their own manual pages, e.g. ipsec_auto(8)." echo "See <https://libreswan.org> for more general info." fixversion echo "Linux Libreswan ${version}" exit 2 } ipsec_help() { echo "Usage: ipsec {command} [argument] ...>" echo "where {command} is one of:" echo "" GOTTWO="" for f in start stop restart status trafficstatus globalstatus shuntstatus import initnss checknss checknflog \ $(ls "${IPSEC_EXECDIR}" | egrep -v -i "${DONTMENTION}"); do if [ -z "${GOTTWO}" ]; then # first of two entries GOTTWO="${f}" else # second of two entries, we can print printf "\t%s" "${GOTTWO}" if [ "${#GOTTWO}" -ge 16 ]; then printf "\t" elif [ "${#GOTTWO}" -ge 8 ]; then printf "\t\t" else printf "\t\t\t" fi printf "%s\n" "${f}" GOTTWO="" fi done if [ -n "${GOTTWO}" ]; then # leftover entry printf "\t%s" "${GOTTWO}" fi echo echo "See also: man ipsec <command> or ipsec <command> --help" echo "See <https://libreswan.org/> for more general info." fixversion echo "Linux Libreswan ${version}" exit 2 } ipsec_stopnflog() { NFGROUP=$(ASAN_OPTIONS=detect_leaks=0 "${IPSEC_EXECDIR}/addconn" --ctlsocket "${CTLSOCKET}" --configsetup | grep -v "#" | grep nflog | sed -e "s/^.*=//" -e "s/'//g"); if [ -z "${NFGROUP}" ]; then exit 0 fi iptables -D INPUT -m policy --dir in --pol ipsec -j NFLOG --nflog-group "${NFGROUP}" --nflog-prefix all-ipsec iptables -D OUTPUT -m policy --dir out --pol ipsec -j NFLOG --nflog-group "${NFGROUP}" --nflog-prefix all-ipsec exit 0 } ipsec_checknflog() { NFGROUP=$(ASAN_OPTIONS=detect_leaks=0 "${IPSEC_EXECDIR}/addconn" --ctlsocket "${CTLSOCKET}" --configsetup | grep -v "#" | grep nflog| sed -e "s/^.*=//" -e "s/'//g"); if [ -n "${NFGROUP}" ]; then OLDNFGROUP=$(iptables -L -n | grep "all-ipsec nflog-group" | sed "s/^.* //" | tail -1); if [ -n "${OLDNFGROUP}" ]; then if [ "${NFGROUP}" = "${OLDNFGROUP}" ]; then # nothing to do echo "nflog ipsec capture enabled on nflog:${NFGROUP}" exit 0 else # delete rules with old group number echo "deleting rules with old nflog group ${OLDNFGROUP}" iptables -D INPUT -m policy --dir in --pol ipsec -j NFLOG --nflog-group ${OLDNFGROUP} --nflog-prefix all-ipsec iptables -D OUTPUT -m policy --dir out --pol ipsec -j NFLOG --nflog-group ${OLDNFGROUP} --nflog-prefix all-ipsec fi fi # insert rules with current group number iptables -I INPUT -m policy --dir in --pol ipsec -j NFLOG --nflog-group ${NFGROUP} --nflog-prefix all-ipsec iptables -I OUTPUT -m policy --dir out --pol ipsec -j NFLOG --nflog-group ${NFGROUP} --nflog-prefix all-ipsec echo "nflog ipsec capture enabled on nflog:${NFGROUP}" else OLDNFGROUP=$(iptables -L -n | grep "all-ipsec nflog-group" | sed "s/^.* //" | tail -1); if [ -n "${OLDNFGROUP}" ]; then echo "deleting rules with old nflog group ${OLDNFGROUP}" iptables -D INPUT -m policy --dir in --pol ipsec -j NFLOG --nflog-group "${OLDNFGROUP}" --nflog-prefix all-ipsec iptables -D OUTPUT -m policy --dir out --pol ipsec -j NFLOG --nflog-group "${OLDNFGROUP}" --nflog-prefix all-ipsec fi echo "nflog ipsec capture disabled" fi exit 0 } ipsec_sniff() { NFGROUP=$(ASAN_OPTIONS=detect_leaks=0 "${IPSEC_EXECDIR}/addconn" --ctlsocket "${CTLSOCKET}" --configsetup | grep -v "#" | grep nflog | sed -e "s/^.*=//" -e "s/'//g"); tcpdump -n -i nflog:${NFGROUP} exit 0 } ipsec_import() { if [ -z "${1}" ]; then echo "Usage: ipsec import [--nssdir ${IPSEC_NSSDIR}] /path/to/pkcs.12" >&2 exit 1 fi while [ ${#} -gt 0 ]; do case "${1}" in --configdir) echo "ipsec import warning: --configdir is obsoleted, use --nssdir" >&2 if [ -d "${2}" ]; then IPSEC_NSSDIR="${2}" fi shift ;; -d|--nssdir) if [ -d "${2}" ]; then IPSEC_NSSDIR="${2}" fi shift # A lot of nss commands use -d to specify NSS db location. # We use --nssdir. ;; *|"") if [ -f "${1}" ]; then pkcs12bundle="${1}" else echo "Usage: ipsec import [--nssdir ${IPSEC_NSSDIR}] /path/to/pkcs.12" >&2 exit 1 fi ;; esac shift done if [ -d "${IPSEC_NSSDIR}" -a -w "${IPSEC_NSSDIR}" ]; then if [ -f "${IPSEC_NSSDIR}/key4.db" -a \ -f "${IPSEC_NSSDIR}/cert9.db" ] then IPSEC_NSSDIR_SQL="sql:${IPSEC_NSSDIR}" else echo "ERROR: NSS database files are missing, import aborted." >&2 echo "Initialize database with command \"ipsec checknss\"." >&2 exit 1 fi pk12util -i "${pkcs12bundle}" -d "${IPSEC_NSSDIR_SQL}" # check and correct trust bits set_nss_db_trusts exit 0 else echo "ERROR: destination directory \"${IPSEC_NSSDIR}\" is missing or permission denied" >&2 exit 1 fi } ipsec_checknss() { while [ ${#} -gt 0 ]; do case "${1}" in --checknss|checknss) cmd=checknss ;; --initnss|initnss) cmd=initnss ;; --settrusts) set_trusts=yes ;; --configdir) echo "ipsec ${cmd} warning: --configdir is obsoleted, use --nssdir" >&2 IPSEC_NSSDIR="${2}" shift ;; -d|--nssdir) # A lot of nss commands use -d to specify NSS db location. # We use --nssdir. IPSEC_NSSDIR="${2}" shift ;; *) echo "Usage: ipsec ${cmd} [--nssdir ${IPSEC_NSSDIR}]" >&2 exit 1 ;; esac shift done if [ -d "${IPSEC_NSSDIR}" -a -w "${IPSEC_NSSDIR}" ]; then IPSEC_NSSDIR_SQL="sql:${IPSEC_NSSDIR}" # if we have old database if [ -f "${IPSEC_NSSDIR}/cert8.db" -o \ -f "${IPSEC_NSSDIR}/key3.db" -o \ -f "${IPSEC_NSSDIR}/secmod.db" ]; then if [ ! -f "${IPSEC_NSSDIR}/cert9.db" -o \ ! -f "${IPSEC_NSSDIR}/key4.db" ]; then IMPORTDBPW="" NSSTMP=$(mktemp -d /tmp/ipsec_nss_tmp.XXXXXXXXXX) if [ $? -gt 0 ]; then echo "Failed to create temporary directory for NSS db migration" >&2 exit 4 fi # save current umask umask=$(umask) # set safe umask umask 077 echo "Migrating NSS db to ${IPSEC_NSSDIR_SQL}" # this section works around a few certutil quirks # to maintain the current password and merge keys certutil -N -d sql:"${NSSTMP}" --empty-password if [ $? -gt 0 ]; then echo "Failed to initialize nss database sql:${NSSTMP}" >&2 exit 4 fi if [ -f "${IPSEC_NSSPW}" ]; then # Look for FIPS format of token:pw, or just the pw grep -q ':' "${IPSEC_NSSPW}" if [ $? -eq 0 ]; then cut -d':' -f2 "${IPSEC_NSSPW}" \ > "${NSSTMP}/nsspassword.txt" cut -d':' -f2 "${IPSEC_NSSPW}" \ >> "${NSSTMP}/nsspassword.txt" else cat "${IPSEC_NSSPW}" > "${NSSTMP}/nsspassword.txt" cat "${IPSEC_NSSPW}" >> "${NSSTMP}/nsspassword.txt" fi # For the empty password prompt: printf "\n\n" > "${NSSTMP}/nsspassword2.txt" # Change blank pw to the current, and use # for certutil --upgrade-merge certutil -W -d sql:"${NSSTMP}" \ -f "${NSSTMP}/nsspassword2.txt" \ -@ "${NSSTMP}/nsspassword.txt" DBPW="-f ${NSSTMP}/nsspassword.txt -@ ${NSSTMP}/nsspassword.txt" IMPORTDBPW="-f ${NSSTMP}/nsspassword.txt" fi # restore umask umask ${umask} certutil --upgrade-merge --source-dir "${IPSEC_NSSDIR}" \ -d sql:"${NSSTMP}" --upgrade-id pluto ${DBPW} rc=$? if [ ${rc} -ne 0 ]; then echo "NSS upgrade failed. You should run certutil --upgrade-merge manually against ${IPSEC_NSSDIR_SQL}" exit ${rc} fi # import cacerts and crls if [ -d "${CACERTDIR}" ]; then for file in "${CACERTDIR}"/*; do if [ -f "${file}" ]; then filename=$(basename "${file}") name=${filename%%.*} certutil -A -i "${file}" -d sql:"${NSSTMP}" -n "${name}" -t 'CT,,' ${IMPORTDBPW} [ $? -eq 0 ] || printf "%s\n" "${file}" fi done fi if [ -d "${CRLDIR}" ]; then for file in "${CRLDIR}"/*; do if [ -f "${file}" ]; then crlutil -I -i "${file}" -d sql:"${NSSTMP}" -B ${IMPORTDBPW} [ $? -eq 0 ] || printf "%s\n" "${file}" fi done fi cp "${NSSTMP}"/*.db "${NSSTMP}"/*.txt "${IPSEC_NSSDIR}" rm -f "${NSSTMP}"/*.txt "${NSSTMP}"/*.db rmdir "${NSSTMP}" echo "NSS upgrade complete" fi exit 0 fi # old database if [ -f "${IPSEC_NSSDIR}/cert9.db" -o -f "${IPSEC_NSSDIR}/key4.db" ]; then if [ "${cmd}" = "initnss" ]; then echo "NSS database already initialised - aborted" echo "To wipe the old NSS database, issue: rm ${IPSEC_NSSDIR}/*.db" exit 42 else if [ "${set_trusts}" = "yes" ]; then set_nss_db_trusts fi exit 0 fi fi echo "Initializing NSS database" echo "" certutil -N -d "${IPSEC_NSSDIR_SQL}" --empty-password if [ $? -gt 0 ]; then echo "Failed to initialize nss database ${IPSEC_NSSDIR_SQL}" >&2 exit 4 fi if [ -x "$(which restorecon)" ]; then restorecon -Rv "${IPSEC_NSSDIR}" fi exit 0 else echo "ERROR: destination directory \"${IPSEC_NSSDIR}\" is missing or permission denied" >&2 exit 1 fi } # Check for no options at all and return usage. if [ -z "${1}" ]; then ipsec_usage fi while [ ${#} -gt 0 ]; do case "${1}" in --rundir) RUNDIR="${2}" CTLSOCKET="${RUNDIR}/pluto.ctl" export CTLSOCKET shift; shift; ;; --ctlsocket) CTLSOCKET="${2}" export CTLSOCKET shift; shift; ;; whack) # Whack command is special because --ctlsocket is a whack cmdline option # We need to make sure we don't give it twice shift if echo "${@}" | grep -q -- --ctlsocket; then exec "${IPSEC_EXECDIR}/whack" "${@}" else exec "${IPSEC_EXECDIR}/whack" --ctlsocket "${CTLSOCKET}" "${@}" fi exit 0 ;; status|--status) cmd="whack" whackoption="--status" shift ;; trafficstatus|--trafficstatus) cmd="whack" whackoption="--trafficstatus" shift ;; globalstatus|--globalstatus) cmd="whack" whackoption="--globalstatus" shift ;; shuntstatus|--shuntstatus) cmd="whack" whackoption="--shuntstatus" shift ;; start|--start) cmd="setup" setupoption="--start" shift ;; stop|--stop) cmd="setup" setupoption="--stop" shift ;; restart|--restart) cmd="setup" setupoption="--restart" shift ;; help|--help) # if cmd is unset, this is help for ipsec command if [ -z "${cmd}" ]; then ipsec_help else helpoption="--help" fi ;; version|--version|--versioncode) # some ubuntu/debian scripts use --versioncode, so let's keep the alias fixversion echo "Linux Libreswan ${version}" exit 0 ;; --directory) printf "%s\n" "${IPSEC_EXECDIR}" exit 0 ;; --stopnflog|stopnflog) ipsec_stopnflog ;; --checknflog|checknflog|nflog) ipsec_checknflog ;; sniff|--sniff) ipsec_sniff ;; import|--import) shift ipsec_import "${@}" ;; checknss|--checknss|initnss|--initnss) ipsec_checknss "${@}" ;; secrets) cmd="whack" whackoption="--rereadsecrets" shift ;; rereadcrls|--rereadcrls) echo "ipsec auto: --rereadcrls and /etc/ipsec.d/crls/ are obsoleted. did you mean: ipsec crls" exit 1 ;; crls|fetchcrls) cmd="whack" whackoption="--fetchcrls" shift ;; unbound|--unbound) # activate the unbound ipsec module unbound-control set_option ipsecmod-enabled: yes exit $? ;; --*) printf "%s: unknown option \"%s\" (perhaps command name was omitted?)\n" "${0}" "${1}" >&2 exit 1 ;; *) cmd="${1}" shift if [ -x "${IPSEC_EXECDIR}/${cmd}" ]; then exec "${IPSEC_EXECDIR}/${cmd}" "${@}" else printf "%s: unknown IPsec command \"%s\" (\"ipsec --help\" for list)\n" "${0}" "${cmd}" >&2 exit 1 fi ;; esac done case "${cmd}" in setup) exec "${IPSEC_EXECDIR}/setup" "${setupoption}" ;; whack) exec "${IPSEC_EXECDIR}/whack" --ctlsocket "${CTLSOCKET}" "${whackoption}" ;; esac
Close